var row_drag; // номер перетаскиваемого ряда

// Перетаскивание ряда
function RowDnD(row_end) {
	if(row_end == row_drag) return;
	var tmp = INI['host'+row_drag];
	if (row_drag < row_end) { // вниз
		for (var i=row_drag; i<row_end; i++) {
			INI['host'+i] = INI['host'+(i+1)];
		}
	} else { // вверх
		for (var i=row_drag; i>row_end; i--) {
			INI['host'+i] = INI['host'+(i-1)];
		}
	}
	INI['host'+row_end] = tmp;
}

function StartRowDnD() {
	$(document).ready(function(){
		$("#idHostsList").tableDnD({
			dragHandle: "tdata",
			onDragClass: "dragRow",
			onDragStart: function(table, cell) {row_drag = cell.parentElement.rowIndex-1},
			onDrop: function(table, row) {RowDnD(row.rowIndex-1)}
		});
	});
}
